#!/usr/bin/env python

import sys
from distutils.core import setup


long_desc = """NNTPyPOST is a script useful to periodically post
messages to newsgroups.
"""

classifiers = """\
Development Status :: 4 - Beta
Environment :: Console
Intended Audience :: End Users/Desktop
License :: OSI Approved :: GNU General Public License (GPL)
Natural Language :: English
Programming Language :: Python
Operating System :: OS Independent
"""

conf_target = '/etc'
# So that etc and conf files are relative to sys.prefix
if sys.platform == 'win32':
    conf_target = conf_target[1:]


params = {'name': 'NNTPyPOST',
      'version': '0.7',
      'description': 'scripts to post newsgroup messages.',
      'long_description': long_desc,
      'author': 'Davide Alberani',
      'author_email': 'da@erlug.linux.it',
      'url': 'http://erlug.linux.it/~da/nntpypost',
      'license': 'GPL',
      'scripts': ['./bin/nntpypost.py', './bin/last_supersedes.py'],
      'data_files': [(conf_target, ['./etc/nntpypost.conf'])]}


if sys.version_info >= (2, 1):
    params['keywords'] = ['newsgroup', 'nntp', 'post', 'message', 'supersedes']
    params['platforms'] = 'any'

if sys.version_info >= (2, 3):
    params['download_url'] = 'http://erlug.linux.it/~da/soft/nntpypost/'
    params['classifiers'] = filter(None, classifiers.split("\n"))


setup(**params)

